# Uses of Interface
org.pentaho.reporting.libraries.resourceloader.cache.ResourceDataCache

Packages that use ResourceDataCache
Package
Description
org.pentaho.reporting.libraries.resourceloader
org.pentaho.reporting.libraries.resourceloader.cache
org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache

## Uses of ResourceDataCache in org.pentaho.reporting.libraries.resourceloader

Methods in org.pentaho.reporting.libraries.resourceloader that return ResourceDataCache
Modifier and Type
Method
Description
`ResourceDataCache`
ResourceManager.`getDataCache()`
Methods in org.pentaho.reporting.libraries.resourceloader with parameters of type ResourceDataCache
Modifier and Type
Method
Description
`void`
ResourceManager.`setDataCache(ResourceDataCache dataCache)`

## Uses of ResourceDataCache in org.pentaho.reporting.libraries.resourceloader.cache

Classes in org.pentaho.reporting.libraries.resourceloader.cache that implement ResourceDataCache
Modifier and Type
Class
Description
`class`
`NullResourceDataCache`
Disables caching.
Methods in org.pentaho.reporting.libraries.resourceloader.cache that return ResourceDataCache
Modifier and Type
Method
Description
`ResourceDataCache`
NullCacheProvider.`createDataCache()`
`ResourceDataCache`
ResourceDataCacheProvider.`createDataCache()`

## Uses of ResourceDataCache in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache

Classes in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache that implement ResourceDataCache
Modifier and Type
Class
Description
`class`
`EHResourceDataCache`
Creation-Date: 13.04.2006, 16:30:34
Methods in org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache that return ResourceDataCache
Modifier and Type
Method
Description
`ResourceDataCache`
EHCacheProvider.`createDataCache()`